/* 
 * Copyright (C) 2001-2013 Michael Fuchs
 *
 * This file is part of herold.
 * 
 * herold is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * herold is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with herold.  If not, see <http://www.gnu.org/licenses/>.  
 */
package org.dbdoclet.tag.html;

import java.util.HashMap;

public class Input extends InlineElement {

    private static final String tag = "input";
    private static HashMap<String, HashMap<String, String>> validParentMap;
    private static HashMap<String, String> attributeMap;

    static {

        validParentMap = new HashMap<String, HashMap<String, String>>();
        validParentMap.putAll(blockElementMap);
        validParentMap.putAll(inlineElementMap);
        validParentMap.remove("button");

        attributeMap = new HashMap<String, String>();
        attributeMap.put("accept", "");
        attributeMap.put("accesskey", "");
        attributeMap.put("align", "top, middle, bottom, left, center, right");
        attributeMap.put("alt", "");
        attributeMap.put("checked", "");
        attributeMap.put("datafld", "");
        attributeMap.put("datasrc", "");
        attributeMap.put("dataformatas", "");
        attributeMap.put("disabled", "");
        attributeMap.put("id", "");
        attributeMap.put("ismap", "");
        attributeMap.put("maxlength", "");
        attributeMap.put("name", "");
        attributeMap.put("onblur", "");
        attributeMap.put("onchange", "");
        attributeMap.put("onfocus", "");
        attributeMap.put("onselect", "");
        attributeMap.put("readonly", "");
        attributeMap.put("size", "");
        attributeMap.put("src", "");
        attributeMap.put("tabindex", "");
        attributeMap.put("", "");
        attributeMap.put("type", "text, password, checkbox, radio, submit, reset, file, hidden, image, button");
        attributeMap.put("usemap", "");
        attributeMap.put("value", "");
    }

    public Input() {

        setNodeName(tag);
        setFormatType(FORMAT_INLINE);
        isEmpty(true);
    }

    public static String getTag() {

        return tag;
    }

    public static HashMap<String, String> getAttributeMap() {

        return attributeMap;
    }

    @Override
    public void init() {

    }
}
